FreeMat

- Main Page
- Related Pages

vtkImageHybridMedian2D

Section: Visualization Toolkit Imaging Classes

# Usage

vtkImageHybridMedian2D is a median filter that preserves thin lines and corners. It operates on a 5x5 pixel neighborhood. It computes two values initially: the median of the + neighbors and the median of the x neighbors. It then computes the median of these two values plus the center pixel. This result of this second median is the output pixel value.

To create an instance of class vtkImageHybridMedian2D, simply invoke its constructor as follows

      obj = vtkImageHybridMedian2D

# Methods

The class vtkImageHybridMedian2D has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkImageHybridMedian2D class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkImageHybridMedian2D = obj.NewInstance ()`
- `vtkImageHybridMedian2D = obj.SafeDownCast (vtkObject o)`